%define	name	flightgear
%define	oname	FlightGear
%define	version	0.9.8
%define	release	1mdk
%define	Summary	The FlightGear Flight Simulator

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	ftp://ftp.flightgear.org/pub/fgfs/Source/%{oname}-%{version}.tar.bz2
Source1:	ftp://ftp.flightgear.org/pub/fgfs/Shared/fgfs-base-%{version}.tar.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
BuildRequires:	plib-devel >= 1.8.4 SimGear-devel >= 0.3.8 metakit-devel Mesa-common-devel openal-devel
URL:		http://www.flightgear.org/
Obsoletes:	%{oname}
Provides:	%{oname} = %{version}-%{release}

%description
The Flight Gear project is working to create a sophisticated flight simulator
framework for the development and pursuit of interesting flight simulator
ideas. We are developing a solid basic sim that can be expanded and improved
upon by anyone interested in contributing.

%prep
%setup -q -n %{oname}-%{version}

rm -f docs-mini/*~

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--libdir=%{_gamesdatadir} \
		--datadir=%{_gamesdatadir} \
		--without-logging \
		--with-multiplayer
make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall} bindir=$RPM_BUILD_ROOT%{_gamesbindir}

mkdir -p $RPM_BUILD_ROOT%{_gamesdatadir}/%{oname}
tar xjf %{SOURCE1} -C $RPM_BUILD_ROOT%{_gamesdatadir}/%{oname}
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/fgfs" icon="%{name}.png" \
  needs="x11" section="Amusement/Other" title="%{oname}" \
  longtitle="%{Summary}"
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS docs-mini/
%{_sbindir}/js_server
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man1/*
%defattr(-,root,root,755)
%{_gamesbindir}/*
%defattr(644,root,root,755)
%{_gamesdatadir}/%{oname}

%changelog
* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.8-1mdk
- 0.9.8

* Thu Nov 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.6-2mdk
- flightgear is executable

* Tue Nov 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.6-1mdk
- 0.9.6

* Sun Aug 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.5-2mdk
- fix buildrequires
- fix path data files

* Thu Aug 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.5-1mdk
- 0.9.5

* Sat Jul 17 2004 Michael Scherer <misc@mandrake.org> 0.9.4-2mdk 
- rebuild for new gcc

* Tue Jun 01 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.4-1mdk
- 0.9.4
- fix buildrequires (lib64..)

* Sun Oct 26 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.3-1mdk
- 0.9.3
- don't bzip2 icons
- fix buildrequires
- disable parallell builds, screws up:\

* Thu Jul 31 2003 Michael Scherer <scherer.michael@free.fr> 0.9.2-2mdk
- BuildRequires ( libMesaglut-devel )

* Thu Jul 03 2003 Per Æyvind Karlsen <peroyvind@sintrax.net> 0.9.2-1mdk
- 0.9.2
- cosmetics
- rm -rf $RPM_BUILD_ROOT in the correct stage
- move data files into %%{_gamesdatadir}
- use Summary macro in menu item
- configure with --with-multiplayer

* Fri Jan 31 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-3mdk
- fix data location

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-2mdk
- rebuild

* Thu Dec 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1
- add manpages

* Wed Sep 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-1mdk
- png icons
- from Crispin Boylan <viewtronix@uklinux.net> :
- new version

* Mon Jun  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.10-2mdk
- recompile against latest libstdc++

* Mon Apr 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.10-1mdk
- new version

* Tue Feb 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.9-1mdk
- new version

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-4mdk
- fix menu-title-not-capitalized

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-3mdk
- fix obsolete-tag Copyright
- fix invalid-spec-name

* Thu Sep 13 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-2mdk
- patch init of sound

* Mon Jul 23 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-1mdk
- version 0.7.8

* Thu Jun 21 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.7-1mdk
- version 0.7.7

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.6-2mdk
- rebuild

* Wed Dec 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.6-1mdk
- 0.7.6

* Tue Sep 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.5-1mdk
- rebuild to remove dependency to libglide.so, thanks to Francois
- added menu entry
- shiny new 0.7.5

* Mon Jul 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.4-2mdk
- 0.7.4 final

* Tue Jul  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.4-1mdk
- 0.7.4
- ships with the data now

* Thu Jun 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.3-1mdk
- first Mandrake Package

